Bug 1830 - Перестал загружаться модуль
: Перестал загружаться модуль
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/installer)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-08 11:11 by
Modified: 2007-04-06 16:12 (History)


Attachments
0001830-lspci.txt (6.72 KB, text/plain)
2003-01-08 11:11, amorozov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-08 11:11:29
После установки ядра kernel24-up-2.4.20-alt0.8 перестал загружаться модуль
trident.o. Причем на ядре kernel24-adv-up-2.4.20-alt0.1 все работает.
Компьютер - Acer TravelMate 522TX
---

---
Вывод команды modprobe trident:
/lib/modules/2.4.20-alt0.8-up/kernel/drivers/sound/trident.o: unresolved symbol
pcigame_detach_R0fb9386c
/lib/modules/2.4.20-alt0.8-up/kernel/drivers/sound/trident.o: unresolved symbol
pcigame_attach_R4736ad68
/lib/modules/2.4.20-alt0.8-up/kernel/drivers/sound/trident.o: insmod
/lib/modules/2.4.20-alt0.8-up/kernel/drivers/sound/trident.o failed
/lib/modules/2.4.20-alt0.8-up/kernel/drivers/sound/trident.o: insmod trident
failed

Вывод команды lsmod:
Module                  Size  Used by    Not tainted
floppy                 49596   0  (autoclean)
serial                 59332   0  (autoclean)
isa-pnp                31012   0  (autoclean) [serial]
smbfs                  39376   2  (autoclean)
soundcore               3652   0  (autoclean)
ide-cd                 29956   0  (autoclean)
cdrom                  28380   0  (autoclean) [ide-cd]
apm                    10080   0  (autoclean)
autofs4                 9492   1  (autoclean)
af_packet              13224   1  (autoclean)
eepro100               19700   1  (autoclean)
mii                     2416   0  (autoclean) [eepro100]
pcigame                    0   0  (deleted)
gameport                1596   0  [pcigame]
nls_koi8-r              3804   3  (autoclean)
nls_cp866               3804   3  (autoclean)
vfat                   10380   1  (autoclean)
fat                    31864   0  (autoclean) [vfat]
reiserfs              176896   1  (autoclean)
rtc                     6684   0  (autoclean)
ext3                   64556   1 
jbd                    40636   1  [ext3]


Содержимое файла modules.conf:
pre-install pcmcia_core CARDMGR_OPTS=-f /etc/rc.d/init.d/pcmcia start
alias usb-interface usb-ohci
alias sound-slot-0 trident
alias eth0 eepro100
alias char-major-10-134 apm
------- Comment #1 From 2003-01-08 21:59:32 -------
Пожалуйста, убедитесь в том, что запустили depmod -a перед загрузкой. Что у Вас
происходит при запуске команды modprobe pcigame?
------- Comment #2 From 2003-01-08 21:59:32 -------
Пожалуйста, убедитесь в том, что запустили depmod -a перед загрузкой. Что у Вас
происходит при запуске команды modprobe pcigame?
------- Comment #3 From 2003-01-09 11:12:25 -------
Запустил depmod -a, но модуль всеравно не грузится.
команда modprobe pcigame выполняется без сообщений об ошибках
------- Comment #4 From 2003-01-09 11:12:25 -------
Запустил depmod -a, но модуль всеравно не грузится.
команда modprobe pcigame выполняется без сообщений об ошибках
------- Comment #5 From 2003-01-10 01:31:28 -------
На Toshiba Satellite *1400 (кажется) с ALJ2 + kernel24-up-2.4.20-alt0.8 и
trident.o все в порядке.

Трайдентовские там и звук, и вид :-)
------- Comment #6 From 2003-01-10 01:31:28 -------
На Toshiba Satellite *1400 (кажется) с ALJ2 + kernel24-up-2.4.20-alt0.8 и
trident.o все в порядке.

Трайдентовские там и звук, и вид :-)
------- Comment #7 From 2003-01-10 09:48:29 -------
Сегодня обратил внимание на следующие ошибки в /var/log/kernel/errors
Jan 10 08:53:43 andrey kernel: ALi 5451 did not come out of reset.
Jan 10 08:53:43 andrey kernel: trident_ac97_init: error resetting 5451.

Там чипсет ALi и звук тоже их.  Со старыми ядрами все раньше работало.

00:00.0 Host bridge: Acer Laboratories Inc. [ALi] M1621 (rev 05)
00:01.0 PCI bridge: Acer Laboratories Inc. [ALi] PCI to AGP Controller (rev 01)
00:06.0 Multimedia audio controller: Acer Laboratories Inc. [ALi] M5451 PCI
AC-Link Controller Audio Device (rev 01)
00:07.0 ISA bridge: Acer Laboratories Inc. [ALi] M1533 PCI to ISA Bridge
[Aladdin IV]
00:0a.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:10.0 IDE interface: Acer Laboratories Inc. [ALi] M5229 IDE (rev c3)
00:11.0 Bridge: Acer Laboratories Inc. [ALi] M7101 PMU
00:13.0 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 01)
00:13.1 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 01)
00:14.0 USB Controller: Acer Laboratories Inc. [ALi] USB 1.1 Controller (rev
03)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M AGP
2x (rev 64)
------- Comment #8 From 2003-01-10 09:48:29 -------
Сегодня обратил внимание на следующие ошибки в /var/log/kernel/errors
Jan 10 08:53:43 andrey kernel: ALi 5451 did not come out of reset.
Jan 10 08:53:43 andrey kernel: trident_ac97_init: error resetting 5451.

Там чипсет ALi и звук тоже их.  Со старыми ядрами все раньше работало.

00:00.0 Host bridge: Acer Laboratories Inc. [ALi] M1621 (rev 05)
00:01.0 PCI bridge: Acer Laboratories Inc. [ALi] PCI to AGP Controller (rev 01)
00:06.0 Multimedia audio controller: Acer Laboratories Inc. [ALi] M5451 PCI
AC-Link Controller Audio Device (rev 01)
00:07.0 ISA bridge: Acer Laboratories Inc. [ALi] M1533 PCI to ISA Bridge
[Aladdin IV]
00:0a.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:10.0 IDE interface: Acer Laboratories Inc. [ALi] M5229 IDE (rev c3)
00:11.0 Bridge: Acer Laboratories Inc. [ALi] M7101 PMU
00:13.0 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 01)
00:13.1 CardBus bridge: O2 Micro, Inc. OZ6933 Cardbus Controller (rev 01)
00:14.0 USB Controller: Acer Laboratories Inc. [ALi] USB 1.1 Controller (rev
03)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M AGP
2x (rev 64)
------- Comment #9 From 2003-02-06 21:22:02 -------
Проверьте на последнем ядре 2.4.20-alt1
------- Comment #10 From 2003-02-06 21:22:02 -------
Проверьте на последнем ядре 2.4.20-alt1
------- Comment #11 From 2003-02-07 12:07:19 -------
Проверил на новом ядре, но стандартный драйвер всеравно не грузится.
Сейчас использую драйвер от alsa snd-ali5451.
Может имеет смысл использовать его во время настройки звука инсталятором?
------- Comment #12 From 2003-02-07 12:07:19 -------
Проверил на новом ядре, но стандартный драйвер всеравно не грузится.
Сейчас использую драйвер от alsa snd-ali5451.
Может имеет смысл использовать его во время настройки звука инсталятором?
------- Comment #13 From 2003-02-07 14:20:06 -------
Да, похоже на это. Перевешиваю на installer
------- Comment #14 From 2003-02-07 14:20:06 -------
Да, похоже на это. Перевешиваю на installer
------- Comment #15 From 2003-02-09 17:46:22 -------
fixed (ldetect-lst-0.1.5-alt2)
------- Comment #16 From 2003-02-09 17:46:22 -------
fixed (ldetect-lst-0.1.5-alt2)